Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/list_address_beneficiaries \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 42,
  "method": "private/list_address_beneficiaries",
  "params": {
    "currency": "BTC",
    "limit": 10
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/list_address_beneficiaries"

payload = {
"jsonrpc": "2.0",
"id": 42,
"method": "private/list_address_beneficiaries",
"params": {
"currency": "BTC",
"limit": 10
}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 42,
method: 'private/list_address_beneficiaries',
params: {currency: 'BTC', limit: 10}
})
};

fetch('https://test.deribit.com/api/v2/private/list_address_beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 42,
  "result": {
    "data": [
      {
        "currency": "BTC",
        "address": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj",
        "user_id": 1026,
        "agreed": true,
        "personal": false,
        "unhosted": false,
        "beneficiary_vasp_name": "Money's Gone",
        "beneficiary_vasp_did": "did:example:123456789abcdefghi",
        "beneficiary_vasp_website": "https://example.com",
        "beneficiary_first_name": "John",
        "beneficiary_last_name": "Doe",
        "beneficiary_company_name": "Example Corp",
        "beneficiary_address": "NL, Amsterdam, Street, 1",
        "created": 1536569522277,
        "updated": 1536569522277
      }
    ],
    "continuation": "xY7T6cutS3t2B9YtaDkE6TS379oKnkzTvmEDUnEUP2Msa9xKWNNaT",
    "count": 1
  }
}

Query Parameters

currency
enum<string>

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
STETH,
ETHW,
USDC,
USDT,
EURR,
SOL,
XRP,
USYC,
PAXG,
BNB,
USDE
address
string

Address in currency format

tag
string

Tag for XRP addresses

created_before
integer

Filter by creation timestamp (before) The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

created_after
integer

Filter by creation timestamp (after) The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

updated_before
integer

Filter by update timestamp (before) The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

updated_after
integer

Filter by update timestamp (after) The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

personal
boolean

Filter by personal wallet flag

unhosted
boolean

Filter by unhosted wallet flag

beneficiary_vasp_name
string

Filter by beneficiary VASP name Name of beneficiary VASP

Example:

"Money's Gone"

beneficiary_vasp_did
string

Filter by beneficiary VASP DID DID of beneficiary VASP

Example:

"did:example:123456789abcdefghi"

beneficiary_vasp_website
string

Website of the beneficiary VASP

limit
integer
default:100

Maximum number of results to return

Required range: 1 <= x <= 1000
continuation
string

Continuation token for pagination

Example:

"xY7T6cutS3t2B9YtaDkE6TS379oKnkzTvmEDUnEUP2Msa9xKWNNaT"

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request